@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface JSR356WebSocketEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
JSR356WebSocketEndpointBuilderFactory.AdvancedJSR356WebSocketEndpointBuilder
Advanced builder for endpoint for the Javax Websocket component.
|
static interface |
JSR356WebSocketEndpointBuilderFactory.AdvancedJSR356WebSocketEndpointConsumerBuilder
Advanced builder for endpoint consumers for the Javax Websocket
component.
|
static interface |
JSR356WebSocketEndpointBuilderFactory.AdvancedJSR356WebSocketEndpointProducerBuilder
Advanced builder for endpoint producers for the Javax Websocket
component.
|
static interface |
JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder
Builder for endpoint for the Javax Websocket component.
|
static interface |
JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointConsumerBuilder
Builder for endpoint consumers for the Javax Websocket component.
|
static interface |
JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointProducerBuilder
Builder for endpoint producers for the Javax Websocket component.
|
| Modifier and Type | Method and Description |
|---|---|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
websocketJsr356(String path)
Javax Websocket (camel-websocket-jsr356)
Camel WebSocket using JSR356 (javax)
Category: jsr356
Since: 2.23
Maven coordinates: org.apache.camel:camel-websocket-jsr356
Syntax:
websocket-jsr356:websocketPathOrUri
Path parameter: websocketPathOrUri
If a path (/foo) it will deploy locally the endpoint, if an uri it will
connect to the corresponding server |
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder websocketJsr356(String path)
websocket-jsr356:websocketPathOrUri
Path parameter: websocketPathOrUri
If a path (/foo) it will deploy locally the endpoint, if an uri it will
connect to the corresponding serverApache Camel